﻿%{ Templates

%%% Two voices allowing slur on upper voice

\voiceOne
<<
  {  }
  \context Voice="1" { \voiceTwo  \oneVoice }
>>
\oneVoice

%%% Ending

\bar "|."

%%% Repeat

\bar ":|:"

%%% Two voices

<<
{

} \\
{

}
>>

\repeat volta 2
{

}
\alternative 
{
{ %prima volta

}
{ %seconda volta

}
}

%}

\version "2.8.1"
\paper {
#(set-paper-size "a4")
% system-count = 5
between-system-padding = #1
ragged-bottom=##f
ragged-last-bottom=##f
}

melody = \relative c' {
\clef treble
\key c \major
\time 4/4

c4 c g' g a a g2
}

upper = \relative c' {
\clef treble
\key c \major
\time 4/4

<e c g>1 <f c a>2 <e c g>
}
     
lower = \relative c {
\clef bass
\key c \major
\time 4/4

c1 f2 c
}
     
dynamics = {

}

pedal = {

}

\score {
  <<
    \new Voice = "mel" {
      \melody
    }
    \new PianoStaff <<
      \new Staff = "upper" \upper
      \new Dynamics = "dynamics" \dynamics
      \new Staff = "lower" \lower
      \new Dynamics = "pedal" \pedal
    >>
  >>
  \layout {
    ragged-right=##t
    \context {
      \type "Engraver_group"
      \name Dynamics
      \alias Voice % So that \cresc works, for example.
      \consists "Output_property_engraver"

      \override VerticalAxisGroup #'minimum-Y-extent = #'(-1 . 1)
      pedalSustainStrings = #'("Ped." "*Ped." "*")
      pedalUnaCordaStrings = #'("una corda" "" "tre corde")

      \consists "Piano_pedal_engraver"
      \consists "Script_engraver"
      \consists "Dynamic_engraver"
      \consists "Text_engraver"

      \override TextScript #'font-size = #2
      \override TextScript #'font-shape = #'italic
      \override DynamicText #'extra-offset = #'(0 . 2.5)
      \override Hairpin #'extra-offset = #'(0 . 2.5)

      \consists "Skip_event_swallow_translator"

      \consists "Axis_group_engraver"
    }
    \context {
      \PianoStaff
      \accepts Dynamics
      \override VerticalAlignment #'forced-distance = #7
    }
  }
}
\score {
  \new PianoStaff <<
    \new Staff = "upper" << \upper \dynamics >>
    \new Staff = "lower" << \lower \dynamics >>
    \new Dynamics = "pedal" \pedal
  >>
  \midi {
    \context {
      \type "Performer_group"
      \name Dynamics
      \consists "Piano_pedal_performer"
    }
    \context {
      \PianoStaff
      \accepts Dynamics
    }
  }
}